Bug 66481 - Mouseconfig devices only go up to 'M'
Mouseconfig devices only go up to 'M'
Product: Red Hat Linux
Classification: Retired
Component: mouseconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-06-11 00:54 EDT by Akkana
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:49:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akkana 2002-06-11 00:54:46 EDT
Description of Problem:
First, I want to say that 7.3 really rocks.  The only hardware I have that it
doesn't support are devices for which the support is so new that it hasn't been
officially released.

The 7.3 kernel, X, and gimp all support my wacom graphics tablet (USB Graphire
2), but I had to edit XF86Config-4 by hand to add the devices.  
When I first booted with the wacom plugged in, kudzu detected it and fired up
mouseconfig; but mouseconfig's alphabetical list of hardware only went up to 'M'
("MM HitTablet (serial)" was the last entry).  

If mouseconfig had an entry for wacom devices, connecting a wacom to Redhat
would be totally plug-and-play.  You're very close now (on hardware that was
very frustrating to install in earlier linux distros).

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Run mouseconfig
2. Hold down "Page Down" until it stops scrolling.

Actual Results:
See devices starting with 'M'.

Expected Results:
Devices ending in 'W' at least.

Additional Information:
Here are the lines I added to make my USB wacom work.  Serial wacoms are similar
but slightly easier (I think you just remove the USB option line and change the
Device to the appropriate serial mouse device, but I can get definite info if
you need it).  http://www.blankslate.net/comp/wacom.php is a great howto for usb
wacoms.  The DebugLevel lines may not be needed (I haven't yet tried removing
them) but they don't seem to hurt anything.

Add to ServerLayout section:
        InputDevice    "stylus" "AlwaysCore"
        InputDevice    "eraser" "AlwaysCore"
        InputDevice    "cursor" "AlwaysCore"

Add in Devices section:
# Wacom graphire tablet ...
# see http://www.blankslate.net/comp/wacom.php
Section "InputDevice"
   Identifier "stylus"
   Driver "wacom"
   Option "Type" "stylus"
   Option "USB" "on"
   Option "Device" "/dev/input/event0"
   Option "Mode" "absolute"
   Option "DebugLevel" "10"

Section "InputDevice"
   Identifier "eraser"
   Driver "wacom"
   Option "Type" "eraser"
   Option "USB" "on"
   Option "Device" "/dev/input/event0"
   Option "Mode" "absolute"
   Option "DebugLevel" "10"

Section "InputDevice"
   Identifier "cursor"
   Driver "wacom"
   Option "Type" "cursor"
   Option "USB" "on"
   Option "Device" "/dev/input/event0"
   Option "Mode" "Absolute"
   Option "Speed" "3.0"
   Option "DebugLevel" "10"
# End Wacom section
Comment 1 Brent Fox 2002-10-10 14:15:48 EDT
I have just completed a text mode interface for redhat-config-mouse, which means
that mouseconfig will be deprecated in the next release of Red Hat Linux.  

Therefore, I will not be putting any development time towards fixing mouseconfig
bugs, so I'm closing this as 'wontfix'.
Comment 2 Red Hat Bugzilla 2006-02-21 13:49:04 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.